# DynamicMC
dynamic time-dependent Monte Carlo program with ORNL phantoms with MCNP coupling

To compile, you need GCC compiler and QT5 library installed.

to install QT5 libs (Ubuntu/Debian):
```
sudo apt-get install build-essential

sudo apt-get install qtcreator

sudo apt-get install qt5-default
```
to install gcc & gfortran (Ubuntu/Debian):
```
sudo apt update

sudo apt install build-essential

sudo apt-get install gfortran
```
to check gcc version:
```
gcc --version
```
***Easy setup and run***
```
chmod +x allmake.bash

./allmake.bash
```
```
./DynamicMC
```

The program is ready to run

***The GUI***
```
make clean

qmake

make
```
***Graphical coordinate input***

Linux: 
```
make -f makefile.sfml
```
MacOS:
```
make -f makefile_sfml_mac
```
***Main Fortran ORNL Phantom generator***
```
make -f makefile.gen
```
To run, you need to make sure all library paths are set.

The GUI run:
```
./DynamicMC
```
Run the graphical coordinate input by simply clicking on "Graphical input". 

Move the source to phantom relative location using arrow keys on your keyboard.

Press "space key" to set a desired location on XY plane.

Once done, press "esc key" to quit the graphical coordinate input.

The generated phantoms input code can be found under the same directory with extension ".i".

The number represents the coordiate location you have set using the GUI and graphical coordinate input module.

***WARNING***
To clean all generated files run:

```
./cleanallrun.bash
```
note this will remove all generated codes in the DynamicMC directory, make sure you save your important generated
codes in a separate directory.
After each mcnp run, runtp files will be generated, it is good to backup required data and clean the directory time to time.
***WARNING***

Report any bugs/issues to the developer at:

--> ben.sh(at)my.cityu.edu.hk

  "(at)" --> "@"

*Mehrdad S. Beni*
